import { j as s } from "../../node_modules/react/jsx-runtime.js";
import * as o from "react";
import { Root as c, Image as m, Fallback as d } from "../../node_modules/@radix-ui/react-avatar/dist/index.js";
import { cn as t } from "../../utils/index.js";
const f = o.forwardRef(({ className: a, ...e }, r) => /* @__PURE__ */ s.jsx(
  c,
  {
    ref: r,
    className: t("avatar", a),
    ...e
  }
));
f.displayName = c.displayName;
const p = o.forwardRef(({ className: a, ...e }, r) => /* @__PURE__ */ s.jsx(
  m,
  {
    ref: r,
    className: t("avatar-icon", a),
    ...e
  }
));
p.displayName = m.displayName;
const i = o.forwardRef(({ className: a, ...e }, r) => /* @__PURE__ */ s.jsx(
  d,
  {
    ref: r,
    className: t("avatar-icon", a),
    ...e
  }
));
i.displayName = d.displayName;
export {
  f as Avatar,
  i as AvatarFallback,
  p as AvatarImage
};
